#pragma once
namespace SDX
{
/** シーンのインターフェース.*/
///	\include DirectorSample.h
class IScene
{
public:

	virtual void Update() = 0;
	virtual void Draw() = 0;
	virtual void Init() = 0;
	virtual void Final() = 0;

	virtual bool IsEnd() = 0;
};
}